Bug 727490 - [abrt] coreutils-8.4-13.el6: __nanosleep_nocancel: Process /bin/sleep was killed by signal 11 (SIGSEGV)
[abrt] coreutils-8.4-13.el6: __nanosleep_nocancel: Process /bin/sleep was kil...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: coreutils (Show other bugs)
6.2
x86_64 Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Ondrej Vasik
qe-baseos-daemons
abrt_hash:9bcca887c3c5bb38f2e27d2c2b4...
:
Depends On: 696222
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-02 05:37 EDT by Jiri Moskovcak
Modified: 2015-02-01 17:54 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-02 05:37:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Moskovcak 2011-08-02 05:37:12 EDT
abrt version: 2.0.5
backtrace_rating: 4
cmdline:        sleep 100
comment:        ;lkasda;slkda;
crash_function: __nanosleep_nocancel
executable:     /bin/sleep
kernel:         2.6.32-174.el6.x86_64
reason:         Process /bin/sleep was killed by signal 11 (SIGSEGV)
time:           Mon Aug  1 13:48:43 2011
uid:            500
username:       test

backtrace:
:[New Thread 2645]
:Core was generated by `sleep 100'.
:Program terminated with signal 11, Segmentation fault.
:#0  0x000000339caaac10 in __nanosleep_nocancel () at ../sysdeps/unix/syscall-template.S:82
:82	../sysdeps/unix/syscall-template.S: No such file or directory.
:	in ../sysdeps/unix/syscall-template.S
:
:Thread 1 (Thread 2645):
:#0  0x000000339caaac10 in __nanosleep_nocancel () at ../sysdeps/unix/syscall-template.S:82
:No locals.
:#1  0x0000000000403ce8 in rpl_nanosleep (requested_delay=0x7fffe21e41e0, remaining_delay=0x0) at nanosleep.c:83
:        seconds = 100
:        intermediate = {tv_sec = 100, tv_nsec = 0}
:#2  0x000000000040336d in xnanosleep (seconds=<value optimized out>) at xnanosleep.c:111
:        overflow = false
:        ts_sleep = {tv_sec = 100, tv_nsec = 0}
:        __PRETTY_FUNCTION__ = "xnanosleep"
:#3  0x00000000004016bc in main (argc=2, argv=<value optimized out>) at sleep.c:147
:        i = 2
:        seconds = <value optimized out>
:        ok = <value optimized out>
:From                To                  Syms Read   Shared Object Library
:0x000000339ca1ea20  0x000000339cb4c3dc  Yes         /lib64/libc.so.6
:0x000000339c600b00  0x000000339c61973b  Yes         /lib64/ld-linux-x86-64.so.2
:$1 = 0x0
:No symbol "__glib_assert_msg" in current context.
:rax            0xfffffffffffffdfc	-516
:rbx            0x64	100
:rcx            0xffffffffffffffff	-1
:rdx            0x0	0
:rsi            0x0	0
:rdi            0x7fffe21e4190	140736987021712
:rbp            0x0	0x0
:rsp            0x7fffe21e4188	0x7fffe21e4188
:r8             0x0	0
:r9             0x0	0
:r10            0x2	2
:r11            0x246	582
:r12            0x7fffe21e41e0	140736987021792
:r13            0x7fffe21e41e0	140736987021792
:r14            0x1	1
:r15            0x7fffe21e4240	140736987021888
:rip            0x339caaac10	0x339caaac10 <__nanosleep_nocancel+7>
:eflags         0x246	[ PF ZF IF ]
:cs             0x33	51
:ss             0x2b	43
:ds             0x0	0
:es             0x0	0
:fs             0x0	0
:gs             0x0	0
:Dump of assembler code for function __nanosleep_nocancel:
:   0x000000339caaac09 <+0>:	mov    $0x23,%eax
:   0x000000339caaac0e <+5>:	syscall 
:=> 0x000000339caaac10 <+7>:	cmp    $0xfffffffffffff001,%rax
:   0x000000339caaac16 <+13>:	jae    0x339caaac49 <nanosleep+73>
:   0x000000339caaac18 <+15>:	retq   
:End of assembler dump.

build_ids:
:bdf71d3caa9ba921cf9ff637e5c92a43c0e6b813
:5953820e71a3975105d56ba28caf0088d3723bfc
:0e93efa028fcf0fcb629d993ab6479947315b78c

dso_list:
:/bin/sleep coreutils-8.4-13.el6.x86_64 (Red Hat, Inc.) 1301907185
:/lib64/ld-2.12.so glibc-2.12-1.34.el6.x86_64 (Red Hat, Inc.) 1310560637
:/usr/lib/locale/locale-archive glibc-common-2.12-1.34.el6.x86_64 (Red Hat, Inc.) 1310560652
:/lib64/libc-2.12.so glibc-2.12-1.34.el6.x86_64 (Red Hat, Inc.) 1310560637

environ:
:LAB_CONTROLLER=lab.rhts.englab.brq.redhat.com
:HOSTNAME=dhcp-24-129.brq.redhat.com
:SELINUX_ROLE_REQUESTED=
:TERM=xterm
:SHELL=/bin/bash
:HISTSIZE=1000
:'SSH_CLIENT=10.34.25.200 56690 22'
:SELINUX_USE_CURRENT_RANGE=
:BUILDURL=
:DUMPSERVER=
:QTDIR=/usr/lib64/qt-3.3
:QTINC=/usr/lib64/qt-3.3/include
:SSH_TTY=/dev/pts/0
:USER=test
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:
:COBBLER_SERVER=lab.rhts.englab.brq.redhat.com
:MAIL=/var/spool/mail/test
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/bin:/usr/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/test/bin
:PWD=/home/test
:XMODIFIERS=@im=none
:LANG=en_US.UTF-8
:LOOKASIDE=
:SELINUX_LEVEL_REQUESTED=
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:SHLVL=1
:HOME=/home/test
:LOGNAME=test
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:'SSH_CONNECTION=10.34.25.200 56690 10.34.25.170 22'
:'LESSOPEN=|/usr/bin/lesspipe.sh %s'
:DISPLAY=localhost:10.0
:G_BROKEN_FILENAMES=1
:_=/bin/sleep

maps:
:00400000-00406000 r-xp 00000000 fd:00 1338                               /bin/sleep
:00605000-00606000 rw-p 00005000 fd:00 1338                               /bin/sleep
:0250a000-0252b000 rw-p 00000000 00:00 0                                  [heap]
:339c600000-339c620000 r-xp 00000000 fd:00 266271                         /lib64/ld-2.12.so
:339c81f000-339c820000 r--p 0001f000 fd:00 266271                         /lib64/ld-2.12.so
:339c820000-339c821000 rw-p 00020000 fd:00 266271                         /lib64/ld-2.12.so
:339c821000-339c822000 rw-p 00000000 00:00 0 
:339ca00000-339cb97000 r-xp 00000000 fd:00 266272                         /lib64/libc-2.12.so
:339cb97000-339cd97000 ---p 00197000 fd:00 266272                         /lib64/libc-2.12.so
:339cd97000-339cd9b000 r--p 00197000 fd:00 266272                         /lib64/libc-2.12.so
:339cd9b000-339cd9c000 rw-p 0019b000 fd:00 266272                         /lib64/libc-2.12.so
:339cd9c000-339cda1000 rw-p 00000000 00:00 0 
:7fce1ae7e000-7fce20d0f000 r--p 00000000 fd:00 335335                     /usr/lib/locale/locale-archive
:7fce20d0f000-7fce20d12000 rw-p 00000000 00:00 0 
:7fce20d28000-7fce20d29000 rw-p 00000000 00:00 0 
:7fffe21d1000-7fffe21e6000 rw-p 00000000 00:00 0                          [stack]
:7fffe21ff000-7fffe2200000 r-xp 00000000 00:00 0                          [vdso]
:ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]

var_log_messages:
:Aug  1 13:27:19 dhcp-24-129 NetworkManager[1241]: <warn> error requesting auth for org.freedesktop.NetworkManager.sleep-wake: (6) Remote Exception invoking org.freedesktop.PolicyKit1.Authority.CheckAuthorization() on /org/freedesktop/PolicyKit1/Authority at name org.freedesktop.PolicyKit1: org.freedesktop.DBus.Error.NameHasNoOwner: Remote Exception invoking org.freedesktop.DBus.GetConnectionUnixUser() on / at name org.freedesktop.DBus: org.freedesktop.DBus.Error.NameHasNoOwner: Could not get UID of name ':1.50': no such name
:Aug  1 13:48:43 dhcp-24-129 abrt[2646]: saved core dump of pid 2645 (/bin/sleep) to /var/spool/abrt/ccpp-2011-08-01-13:48:43-2645.new/coredump (319488 bytes)

Note You need to log in before you can comment on or make changes to this bug.